package io.random.protocol;

import io.core.protocol.*;
import io.core.messaging.TheaterLocator;
import java.util.Random;
import java.util.Vector;

public class RandomSteal extends P2PPacket {

	public int timeToLive = 10;

	public RandomSteal(TheaterLocator _origin) {
		setOrigin(_origin);
	}

	public void randomSend(Vector theaterList) {
		TheaterLocator target;
		do {
			int num = (int)(java.lang.Math.random() * (theaterList.size()-1));

			target = (TheaterLocator)theaterList.get(num);
		} while ((target != null) && ( target.equals(getOrigin()) ));

		send(target);
	}
}
